Skip to content
Docs

Configures Static IPs for a project

PATCHhttps://api.vercel.com/v1/projects/{idOrName}/shared-connect-links
Allows configuring Static IPs for a project
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.networking.updateStaticIps({
idOrName: "<value>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
regions: [
"iad1",
],
},
});
console.log(result);
}
run();
Response
[
{
"aws": {
"securityGroupId": "https://example.com",
"subnetIds": []
},
"buildsEnabled": "false",
"connectConfigurationId": "example_id",
"createdAt": "123",
"dc": "string",
"envId": "example_id",
"passive": "false",
"updatedAt": "123"
}
]
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The unique project identifier or the project name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
buildsbooleanRequired
Whether to use Static IPs for builds.
regionsarrayOptional
200Success
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
409Error
410Error
500Error